Contents
Index 🔎︎

# Add-in Functions, List of Analysis Functions Part One

Ajaja kana bira gahuuf...

Saagi - Dalaga - Akaakuu Idaatuu

## BESSELI

Calculates the modified Bessel function of the first kind In(x).

#### Syntax

BESSELI(X; N)

X'n gatii fankishiinin irratti shallagamu dha.

N is a positive integer (N >= 0) representing the order of the Bessel function In(x)

#### Example

=BESSELI(3.45, 4), returns 0.651416873060081

=BESSELI(3.45, 4.333), returns 0.651416873060081, same as above because the fractional part of N is ignored.

=BESSELI(-1, 3), returns -0.022168424924332

## BESSELJ

Calculates the Bessel function of the first kind Jn(x) (cylinder function).

#### Syntax

BESSELJ(X; N)

X'n gatii fankishiinin irratti shallagamu dha.

N is a positive integer (N >= 0) representing the order of the Bessel function Jn(x)

#### Example

=BESSELJ(3.45, 4), returns 0.196772639864984

=BESSELJ(3.45, 4.333), returns 0.196772639864984, same as above because the fractional part of N is ignored.

=BESSELJ(-1, 3), returns -0.019563353982668

## BESSELK

Calculates the modified Bessel function of the second kind Kn(x).

#### Syntax

BESSELK(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Kn(x)

#### Example

=BESSELK(3.45, 4), returns 0.144803466373734

=BESSELK(3.45, 4.333), returns 0.144803466373734, same as above because the fractional part of N is ignored.

=BESSELK(0, 3), returns Err:502 – invalid argument (X=0)

## BESSELY

Calculates the Bessel function of the second kind Yn(x).

#### Syntax

BESSELY(X; N)

X is the strictly positive value (X > 0) on which the function will be calculated.

N is a positive integer (N >= 0) representing the order of the Bessel function Yn(x)

#### Example

=BESSELY(3.45, 4), returns -0.679848116844476

=BESSELY(3.45, 4.333), returns -0.679848116844476, same as above because the fractional part of N is ignored.

=BESSELY(0, 3), returns Err:502 – invalid argument (X=0)

## BIN2DEC

Firiin isaa lakkoofsota baayineerii galfameef lakkoofsota deesiimaalii ta'a..

#### Syntax

BIN2DEC(Lakkoofsa)

Lakkoofsi lakkoofsota baayineerii dha.Gatii olaanaa bakkeewwan(biitiwwan) qabachuu danda'uu 10 dha.Biitin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

#### Example

=BIN2DEC(1100100) 100 kenna.

## BIN2HEX

Firiin isaa lakkoofsota baayineerii galfameef lakkoofsota heeksaadeesiimaalii ta'a..

#### Syntax

BIN2HEX(Lakkoofsa; Bakkeewwan)

Lakkoofsi lakkoofsota baayineerii dha.Gatii olaanaa bakkeewwan(biitiwwan) qabachuu danda'uu 10 dha.Biitin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

Bakkeewwan jechuun lakkoofsa bakkeewwani firii ta'anidha.

#### Example

=BIN2HEX(1100100;6) 000064 kenna.

## BIN2OCT

Firiin isaa lakkoofsota baayineerii galfameef lakkoofsota oktaalii ta'a..

#### Syntax

BIN2OCT(lakkoofsa; Bakkeewwan)

Lakkoofsi lakkoofsota baayineerii dha.Gatii olaanaa bakkeewwan(biitiwwan) qabachuu danda'uu 10 dha.Biitin calqaba xiyyoo irra mallattoo biiti taati,biitiiwwan iti aanuun dhufaan gatii kennu.Lakkoofsootni neegaativii akkaa tuuskompiilimeentitti galfamu.

iddoowwan iddoowwan lakkoofsa bahaa jechuu dha.

#### Example

=BIN2OCT(1100100;4) 0144 kenna.

## DEC2BIN

Firiin lakkoofsa kurnyee -512 fi 511 galfamee lakkoofsa lamee ta'a.

#### Syntax

DEC2BIN(lakkoofsa; Bakkeewwan)

Lakkoofsii lakkoofsa kurnyee dha. Yoo lakkoofsii neegatiivii ta'ee; fankishinichi lakkoofsa lamee arfiilee 10 waliin kena. Bitiin jaqabaa bitii mallattooti, bitiin 9n hafan gatii kennu

iddoowwan iddoowwan lakkoofsa bahaa jechuu dha.

#### Example

=DEC2BIN(100;8) 01100100 kenna.

## DEC2HEX

Firiin lakkoofsa kurnyee kudhaja'aa kurnyee lakkoofsatif galchii.

#### Syntax

DEC2HEX(lakkoofsa; Bakkeewwan)

Lakkoofsaii lakkoofsa kurnyee dha. Yoo lakkoofsii neegatiivii ta'ee; fankishinichi lakkoofsa kurnyee kudhaja'a arfiilee 10(bitiiwwan 40) kenna. Bitiin jaqabaa bitii mallattooti, bitiiwwan 39 hafan gatii kenna.

iddoowwan iddoowwan lakkoofsa bahaa jechuu dha.

#### Example

=DEC2HEX(100;4) 0064 kenna.

## DEC2OCT

Firiin lakkoofsa kurnyee saddeetii kurnyee lakkofsatif galfama.

#### Syntax

DEC2OCT(lakkoofsa; Bakkeewwan)

Lakkoofsaii lakkoofsa kurnyee dha. Yoo lakkoofsii neegatiivii ta'ee; fankishinichi lakkoofsa kurnyee saddeeti arfiilee 10(bitiiwwan 30) kenna. Bitiin duraa biti mallattooti, bitiin 29 hafan gatii kenna.

iddoowwan iddoowwan lakkoofsa bahaa jechuu dha.

#### Example

=DEC2OCT(100;4) 0144 kenna.

## DELTA

firiin isaa TRUE (1) ta'a yoo lakkoofsi lamaanuu, kan akka qajeelfamati kennamu, walqixa, ykn FALSE (0) ta'a.

#### Syntax

DELTA(Lakkoofsa1; Lakkoofsa2)

#### Example

=DELTA(1;2) 0 kenna.

## ERF

Dogongora intiigiralii Gawushiyaanii kenna.

#### Syntax

ERF(DaangaaJalaa;Daangaa gubbaa)

Daangaan Jalaa daangaa jalaa intigiraaliiti.

UpperLimit is optional. It is the upper limit of the integral. If this value is missing, the calculation takes place between 0 and the lower limit.

#### Example

=ERF(0;1) 0.842701 kenna.

## ERF.PRECISE

Returns values of the Gaussian error integral between 0 and the given limit.

This function is available since LibreOffice 4.3

#### Syntax

ERF.PRECISE(LowerLimit)

LowerLimit is the limit of the integral. The calculation takes place between 0 and this limit.

#### Example

=ERF.PRECISE(1) returns 0.842701.

## ERFC

Gatiiwwan faallaa dogongoraa intiigiraalii gawushiyaanii x fi infinitii jidduu kenna .

#### Syntax

ERFC(DaangaaJalaa)

Daangaan Jalaa daangaa jalaa intigiraaliiti.

#### Example

=ERFC(1) 0.157299 kenna.

## ERFC.PRECISE

Returns complementary values of the Gaussian error integral between x and infinity.

This function is available since LibreOffice 4.3

#### Syntax

ERFC.PRECISE(LowerLimit)

Daangaan Jalaa daangaa jalaa intigiraaliiti.

#### Example

=ERFC.PRECISE(1) returns 0.157299.

## GESTEP

Yoo Lakkoofsan irra guddaa ykn walqixa Step ta'e firiin 1 ta'a.

#### Syntax

GESTEP(Lakkoofsa; Ejjatoo)

#### Example

=GESTEP(5;1) 1 kenna.

## HEX2BIN

Firiin lakkofsa kurnyee kudha ja'a lakkoofsa lamee kenna.

#### Syntax

HEX2BIN(Lakkoofsa; Bakkeewwan)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=HEX2BIN("6a";8) returns 01101010.

## HEX2DEC

Firiin isaa lakkoofsota heeksaadeesimaalii galfameef lakkoofsa deesiimaalii ta'a..

#### Syntax

HEX2DEC(Lakkoofsa)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=HEX2DEC("6a") returns 106.

## HEX2OCT

Firiin isaa lakkoofsota heeksaadeesimaalii galfameef lakkoofsa ooktaalii ta'a..

#### Syntax

HEX2OCT(Lakkoofsa; Bakkeewwan)

Number is a hexadecimal number or a string that represents a hexadecimal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Bakkootni lakkoofsa bakkoota baha ta'uuti.

#### Example

=HEX2OCT("6a";4) returns 0152.

Matadureewwan Walfakkatan

Add-in Functions

Add-in Functions, List of Analysis Functions Part Two

Text Functions

Functions by Category